![Tests](https://github.com/PicusZeus/modern_greek_accentuation/actions/workflows/tests.yml/badge.svg)


# Modern-greek-accentuation

Python 3 library for analyzing, accenting, syllabification, augmentation and transcription of Modern Greek Words

## Installation

Use the package manager [pip](https://pip.pypa.io/en/stable/) to install modern-greek-accentuation.

```bash
pip install modern-greek-accentuation
```

## Usage

see [docs.rst](https://github.com/PicusZeus/modern_greek_accentuation/blob/master/docs.rst)


## Contributing
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

Please make sure to update tests as appropriate.

## Change Log
 * 0.545 Fixed issues with augmentation and reduplication (prefix en)
 * 0.541 Fixed bugs in transcription module.
 * 0.531 Fixed small bug with resources data.
 * 0.530 Fixed bug when during augmentation prefixes equal to a form or longer by 1 character were allowed. Fixed bug with augmentation/reduplication of ppart, where it until now returned wrongly accented forms.
 * 0.525 Fixed bug with syllabification of capitalized words
 * 0.522 Added exclusion flag to convert_to_monotonic (one_sylleble_rule)
 * 0.511 Improvement in code structure
 * 0.2.6 Fixed issue with converting to monotonic function, when it would strip word also from dieresis
 * 0.2.5 Small improvements to augmentify module, now it deals correctly with accented prefixes when creating augmented stems
 * 0.2.4 Added convert_to_monotonic function
 * 0.2.3 Fixed issue with syllabification, where iota with diaeresis is not an independent vowel (roloiou), also fixed a secondary issue with accentuation, where previously redundant diaeresis was not removed in above cases.
 * 0.2.2 Fixed issue with internal augmentation with unaccented augment, now it gives such an option
 * 0.2.1 Added transcription module (simple, Erasmian and modern for Polish readers)
 * 0.1.1 Initial release

